ComboBoxOption
Date: 2014-08-08

meltinggui.widgets

## Class ComboBoxOption

- java.lang.Object
- - meltinggui.widgets.ComboBoxOption

-     public class ComboBoxOption
      extends java.lang.Object

  An option on a combo box used to select additional MELTING options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComboBoxOption(java.lang.String optionText, java.lang.String commandLineText)` Constructor setting the text to be displayed in the combo box and the text that would be written to the cmomand line.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComboBoxOption` | `copy()` Copies this combo box option to another combo box option.
    `java.lang.String` | `getCommandLineText()` Gets the command-line text.
    `java.lang.String` | `getOptionText()` Gets the option text.
    `void` | `setCommandLineText(java.lang.String commandLineText)` Sets the command-line text.
    `void` | `setOptionText(java.lang.String optionText)` Sets the option text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComboBoxOption

          public ComboBoxOption(java.lang.String optionText,
                        java.lang.String commandLineText)

      Constructor setting the text to be displayed in the combo box and the text that would be written to the cmomand line.

  - ### Method Detail

    - #### setOptionText

          public void setOptionText(java.lang.String optionText)

      Sets the option text.
      Parameters:
        `optionText` - Text displayed on the combo box option.

    - #### getOptionText

          public java.lang.String getOptionText()

      Gets the option text.
      Returns:
        The text displayed on the combo box option.

    - #### setCommandLineText

          public void setCommandLineText(java.lang.String commandLineText)

      Sets the command-line text.
      Parameters:
        `commandLineText` - Text that would be written to the command line.

    - #### getCommandLineText

          public java.lang.String getCommandLineText()

      Gets the command-line text.
      Returns:
        The text that would be written to the command line.

    - #### copy

          public ComboBoxOption copy()

      Copies this combo box option to another combo box option.
      Returns:
        The new combo box option.